cmake_minimum_required(VERSION 3.10)

project(kysdk-system)

set (CMAKE_SKIP_RPATH ON)

include(CMakePackageConfigHelpers)
include(FindPkgConfig)
include (GNUInstallDirs)

pkg_check_modules(PKGS REQUIRED
                dbus-1
                glib-2.0
                dbus-glib-1
                libudev
                )
include_directories(${PKGS_INCLUDE_DIRS})
include_directories("${PROJECT_BINARY_DIR}")
include_directories("/usr/include/kysdk/kysdk-base")
link_directories("/usr/lib/kysdk/kysdk-security")
# link_directories("/usr/lib/kysdk/kysdk-base")
# link_directories("/usr/lib/${CMAKE_HOST_SYSTEM_PROCESSOR}-linux-gnu/")
set (CMAKE_INSTALL_LIBDIR ${CMAKE_INSTALL_LIBDIR})

set (CMAKE_EXPORT_COMPILE_COMMANDS ON)

set(CMAKE_BUILD_TYPE Debug)

message("Build Type: ${CMAKE_BUILD_TYPE}")

set (CMAKE_INSTALL_PREFIX /usr)

set (LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR})

set (EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)

add_subdirectory(src)
